Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws
Class ResponseMetadata<T>

    java.lang.Object
      com.amazonaws.ResponseMetadata<T>

Type Parameters:
  `T` - The result with which this metadata is associated.

    public class ResponseMetadata<T>

extends Object

Represents the metadata included in a response from an AWS service. AWS response metadata consists primarily of the AWS request ID, which can be used for debugging purposes when services aren't acting as expected.

Constructor Summary
`ResponseMetadata()`

Method Summary
`String` | `getRequestId()` Returns the AWS request ID from the response metadata section of an AWS response.
`T` | `getResult()` Returns the result type from the response with which this metadata is associated.
`void` | `setRequestId(String requestId)` Sets the AWS request ID for this response metadata object.
`void` | `setResult(T result)` Sets the result for the response with which this metadata is associated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseMetadata

    public ResponseMetadata()

Method Detail

### getResult

    public T getResult()

  Returns the result type from the response with which this metadata is associated.

  Returns:
    The result type from the response with which this metadata is associated.

### setResult

    public void setResult(T result)

  Sets the result for the response with which this metadata is associated.

  Parameters:
    `result` - The result type from the response with which this metadata is associated.

### getRequestId

    public String getRequestId()

  Returns the AWS request ID from the response metadata section of an AWS response.

  Returns:
    The AWS request ID from the response metadata section of an AWS response.

### setRequestId

    public void setRequestId(String requestId)

  Sets the AWS request ID for this response metadata object.

  Parameters:
    `requestId` - The AWS request ID for this response metadata object.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.